#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"
echo "Start kafka job..."

TZ=UTC  java $JAVA_MEMORY_ARGS -XshowSettings:vm -cp "${SCRIPT_DIR}/app.jar" -Dloader.main=com.cloudhealth.svc.omsjava.OmsKafkaApp -Dspring.kafka.consumer.enabled=true org.springframework.boot.loader.PropertiesLauncher

echo "kafka job is running"